
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>业务架构的主题和规则 / iVAN</title>

    <meta name="description" content="业务架构的主题和规则 业务架构已经成了个时髦的词儿.就像安全一样,所有人都听说过,也都有自己的看法,但只有极少 一部分人知道它的真正含义是什么. 本文在同时考虑主题和规则的情况下对业务架构的现象进行了探讨.不知道业务架构的主题,则很难 判断业务架构角色的内涵和外延,比如规则.很多管理者和架构师会说:&quot;这有什么问题?通过确 定利益相关者,并收集他们的观点,基本上可以定义出业务架构.&quot;很不幸,这种做法是极大的错 误,它会引发很多自相矛盾的观点. 通过利益相关者的观点定义业务架构的支持者潜意识里会将重点 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">业务架构的主题和规则</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>业务架构已经成了个时髦的词儿。就像安全一样，所有人都听说过，也都有自己的看法，但只有极少 一部分人知道它的真正含义是什么。</p>
<p>本文在同时考虑主题和规则的情况下对业务架构的现象进行了探讨。不知道业务架构的主题，则很难 判断业务架构角色的内涵和外延，比如规则。很多管理者和架构师会说：“这有什么问题？通过确 定利益相关者，并收集他们的观点，基本上可以定义出业务架构。”很不幸，这种做法是极大的错 误，它会引发很多自相矛盾的观点。</p>
<p>通过利益相关者的观点定义业务架构的支持者潜意识里会将重点从“它是什么”变成 “它能为我做什么”，并且会参照ISO/IEC/<em>IEEE</em> 42010标准<sup>1 </sup>处理观 点和看法。然而，这个标准警告说观点不能定义而只能用来描述主题。我们在这里要把“描述 ”和“定义”区分开。可能收集了上千条描述也得不到主题的定义，因为所有描述或看 法都是主观的，换句话说，每个人看到的都是他或她想看的。</p>
<p>我注意到，在各种会议和网上对业务架构数不清的讨论中，大部分争论都是围绕着业务架构是做什么 的，或者说应该做什么的，实际上这是另一码事。在我们定义对驾车的看法时，能给出车的定义吗？不 能，因为驾车只与在车里的几个操作控制，以及它们对车怎么移动的影响相关。此外，还有从车上发现 不了的驾驶规则和法规；只看车的外观和内饰看不出它的内部结构。如果在车上这样简单的例子都解决 不了，那么对于业务架构而言，我们凭什么觉得利益相关者通过观察能比业务架构师知道得多？</p>
<p>我在本文中介绍了一种方法，让我可以定义出和企业的业务领域无关的企业业务架构。结果我发现， 业务架构比很多人想得都简单，同时跟企业中的其它业务有更复杂的关系。我将阐明这一结论的推理过 程，同时列出一些成果。</p>
<p>业务架构定义</p>
<p>企业的架构业务元素</p>
<p>业务架构可以从业务和形式化两个角度定义。第一种方式基于业务价值。货币价值是一种众所周知的 业务价值。很多人都认为这个价值，包括货币商品的等价物，是业务唯一看重的价值。货币价值的抽象 非常简单，并且建模、测量和管理都很方便；然而，在消费型社会中，钱不能吃，也不能穿，更不能带 走。</p>
<p>在成立一个新公司时，要写出企业的商业模式，就是公司的“业务面”。它通常是由企业 的核心业务职能组成的，是企业在市场上区分于其它企业的关键。业务职能是企业跟消费型社会中的 “供需”因素之间唯一的连接。</p>
<p>仅用货币价值衡量这个连接有点儿鼠目寸光。货币价值会混淆需求满足机制，经过长期的运营，在需 求发生变化时，公司可能会错过调整这种机制以跟进需求的关键点。如果客户满意度下降了，公司的营 收可能暂时还不会受到影响，但等到营收开始下降时可能就太迟了，公司在客户那里的名声可能已经坏 掉了。也就是说货币价值可以用来衡量业务成效，但不应该作为唯一的标准。</p>
<p>与此同时，在消费型社会中，业务职能可以确定所有公司的业务价值。如果这个职能能够满足消费者 的需求，它们就能帮公司赚钱。也就是说第二种方式用货币和职能来衡量业务架构。如果业务架构是基 于业务职能的，那公司业务的精华和战略目标很可能能够适应市场的变化。</p>
<p>在讨论业务架构时，我首先假定它是个架构。我选了ISO/IEC/<em>IEEE</em> 42010 <sup>1</sup> 中对架构的定义，并对它进行了扩展：一个系统/结构的组织体现在它基本能够自给的内聚元素中，它们 彼此之间以及跟环境的关系中，以及能够指导其设计和进化的共享原则中。如你所见，这个定义并不局 限于业务或技术。</p>
<p>有了这个定义，我对企业中几个显著的业务元素进行了考察，其中包括会被其他作者归结到业务架构 中的那些。我所分析的元素是企业战略、业务能力、财务（营收/利润）目标、业务职能、客户和供应商 、人员和业务流程、治理结构、业务信息、组织结构，以及对经济活动负责的结构。</p>
<p>在上面列举的这些元素中，只有业务职能和业务信息具备如下特质：</p>
<p>根本性—— 一个企业没有它们就无法存在，并且它们是不可取代的</p>
<p>自给性—— 它们不是从其它东西中推导出来的，可以独立存在</p>
<p>内聚性——它们是一致并互相关联的</p>
<p>导向相似性——它们有相同的指导原则。</p>
<p>也就是说这两个元素有架构化的属性。至于其它企业元素的特性，我可以简单地介绍一下：</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-29 00:41:25</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%9e%b6%e6%9e%84/" title="架构">架构</a>, <a href="https://www.iamivan.net/tag/%e5%85%83%e7%b4%a0/" title="元素">元素</a>, <a href="https://www.iamivan.net/tag/%e4%bc%81%e4%b8%9a/" title="企业">企业</a>, <a href="https://www.iamivan.net/tag/%e4%b8%9a%e5%8a%a1/" title="业务">业务</a>, <a href="https://www.iamivan.net/tag/%e8%b4%a7%e5%b8%81/" title="货币">货币</a>, <a href="https://www.iamivan.net/tag/%e5%85%ac%e5%8f%b8/" title="公司">公司</a>, <a href="https://www.iamivan.net/tag/%e4%bc%81%e4%b8%9a%e6%9e%b6%e6%9e%84/" title="企业架构">企业架构</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>业务架构的主题和规则的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1r2lap.html" rel="bookmark">秒杀业务架构优化之路</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文整理自 ArchSummit微信大讲堂,点击上方关注微课堂分享动态,获取更多干货! 原文:秒杀业务架构优化之路 分享正文 一.秒杀业务为什么难做 im系统,例如qq或者微博,每个人都读自己的数据(好友列表.群列表.个人信息):微博系统,每个人读你关注的人的数据,一个人读多个人的数据:秒杀系统,库存只有一份,所有人会在集中的时间读和写这些数据,多个人读一个数据. 例如小米手机每周二的秒杀,可能手机只有1万部,但瞬时进入的流量可能是几百几千万.又例如12306抢票,票是有限的,库存一份,瞬时流量			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5OVenb.html" rel="bookmark">业务架构、信息架构、技术架构三位一体</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				客户天天打电话要修改产品功能,简单的一个需求可能要做一个月.产品越改越笨重,为了赶工期bug越来越多.头疼! 产品从初级版到现在已经四个年头,相关的程序员来去换了三批,在补丁上打补丁是常有的事,很多功能只是开了个头,换个项目经理就被遗忘.我们总是害怕客户在这个产品上提出新的需求,只要客户还用得过去,能不改就不改.即使到了非改不可的地步,也会容忍这些僵化的代码带来的种种限制. 昨天才刚上的功能,忽然又要去掉.客户在使用产品中的这些流程,难道事先就没有人考虑到么?现在说这个功能重要,又说要做各种的接			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYwBqQz.html" rel="bookmark">腾讯移动互联网业务架构动刀 刘成敏被指&OpenCurlyDoubleQuote;错过微信&OpenCurlyDoubleQuote;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				腾讯公司昨日宣布了其架构和人事调整的重磅消息.腾讯将调整移动互联网业务架构,移动互联网事业群(MIG)将聚焦于浏览器.安全.搜索.应用平台等平台型业务. 同时,腾讯高级执行副总裁.移动互联网事业群总裁刘成敏因个人原因退休,首席运营官任宇昕兼任移动互联网事业群总裁. 刘成敏被指&quot;错过微信&quot; 昨日,刘成敏也发出内部告别邮件,号召MIG同事对即将到来的架构调整予以理解和适应. 刘成敏在邮件中表示,两年前就有从腾讯退休的想法.他认为现在MIG团队&quot;历经业务起伏.转型和变革&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmj6K3z.html" rel="bookmark">业务架构、信息架构、技术架构三位一体，互联网营销</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				客户天天打电话要修改产品功能,简单的一个需求可能要做一个月.产品越改越笨重,为了赶工期bug越来越多.头疼! 产品从初级版到现在已经四个年头,相关的程序员来去换了三批,在补丁上打补丁是常有的事,很多功能只是开了个头,换个项目经理就被遗忘.我们总是害怕客户在这个产品上提出新的需求,只要客户还用得过去,能不改就不改.即使到了非改不可的地步,也会容忍这些僵化的代码带来的种种限制. 昨天才刚上的功能,忽然又要去掉.客户在使用产品中的这些流程,难道事先就没有人考虑到么?现在说这个功能重要,又说要做各种的接			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqVYPZp.html" rel="bookmark">&lbrack;转&rsqb;秒杀业务架构优化之路</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文地址:http://www.infoq.com/cn/articles/flash-deal-architecture-optimization 一.秒杀业务为什么难做 IM系统,例如QQ或者微博,每个人都读自己的数据(好友列表.群列表.个人信息). 微博系统,每个人读你关注的人的数据,一个人读多个人的数据. 秒杀系统,库存只有一份,所有人会在集中的时间读和写这些数据,多个人读一个数据. 例如小米手机每周二的秒杀,可能手机只有1万部,但瞬时进入的流量可能是几百几千万.又例如12306抢票,票			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvGg0Ap.html" rel="bookmark">PostgreSQL 逻辑订阅 - 给业务架构带来了什么希望？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				标签 PostgreSQL , 逻辑订阅 , 10.0 , 数据汇聚 , 数据共享 , IDC多活 , 云端线下同步 背景 逻辑订阅是PostgreSQL 10.0的新特性. 具体的原理,使用方法可以参考如下文章. &lt;PostgreSQL 10.0 preview 逻辑订阅 - 原理与最佳实践&gt; &lt;PostgreSQL 10.0 preview 逻辑订阅 - pg_hba.conf变化,不再使用replication条目&gt; &lt;PostgreSQL 10.0 preview 逻			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnY2JrM.html" rel="bookmark">PgSQL &CenterDot; 应用案例 &CenterDot; 逻辑订阅给业务架构带来了什么？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				背景 逻辑订阅是PostgreSQL 10.0的新特性. 具体的原理,使用方法可以参考如下文章. &lt;PostgreSQL 10.0 preview 逻辑订阅 - 原理与最佳实践&gt; &lt;PostgreSQL 10.0 preview 逻辑订阅 - pg_hba.conf变化,不再使用replication条目&gt; &lt;PostgreSQL 10.0 preview 逻辑订阅 - 备库支持逻辑订阅,订阅支持主备漂移了&gt; &lt;PostgreSQL 10.0 preview 逻辑			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4NXvrM.html" rel="bookmark">公司需要选择一个业务架构平台，有什么还得选择？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 我公司是一个建材企业,想将原来GUI的应用,转为Web的应用,希望导入一个业务架构平台?csdn中的也宣传许多产品,大家有用过哪些,效果如何?x3,eos,ucml,livebos?这些平台对人员有什么要求? 解决方案 解决方案二:看看这里吧,http://lw-soft.com软件构建平台,虽然不是B/S但支持局域网,公网应用,操作方便,可以兼容其他系统的数据库,只要你熟悉数据库结构就行.解决方案三:推荐华丹CHARISMA智能WEB平台,纯B/S结构.http://www.huad			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKYAa5p.html" rel="bookmark">百度步随谷歌，重组业务架构，深意何在？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				昨天下午,百度CEO李彦宏通过内部邮件宣布百度业务架构重组.自即日起,百度将成立&quot;百度搜索公司&quot;,由搜索业务群组(SSG).移动服务事业群组(MSG).糯米事业部组成,百度高级副总裁.SSG总经理向海龙出任新公司总裁,向李彦宏汇报. 李彦宏表示,将把更多时间和精力放在互联网金融.无人车.人工智能等创新业务上,同时更多地从战略层面关注内容生态.服务生态.金融生态的布局和建设. 这也是百度一年以来的第三次架构调整,在上一次的架构调整中,百度成立了&quot;金融服务事业群组&quot;,由			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Vzw4Rmb.html" rel="bookmark" class="title">在狭小的网页空间放置大的网站广告图片</a>
					<div>
						文章描述:在狭窄的空间里怎样放置一张大图,我们为您提供了三种解决办法 那里都有狭窄的空间:网页横幅.新闻标题处的空间.柱状的广告,但一张来自照相机的照片却要大很多,它们的比例一般是 6 × 4 英寸  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMy63dp.html" rel="bookmark" class="title">我是怎么将soso竞价关键词优化到9分</a>
					<div>
						自打2011年开始,谷歌对竞价账号开始了猛烈的K号行动,我已经在上面挂了2个账户了,为了不浪费我时间,我决定暂时不考虑谷歌竞价.这个时候我就得考虑转换竞价阵营了,咱总不能Google不能做了,就一棵树 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2yJg3z.html" rel="bookmark" class="title">Delphi中用多媒体库Bass&period;dll播放mp3 &lbrack;9&rsqb;</a>
					<div>
						本例效果图: 代码文件: unit Unit1; interface uses Windows, Messages, SysUtils, Variants, Classes, Graphics, Co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo60qjz.html" rel="bookmark" class="title">Java性能优化&lbrack;1&rsqb;：基本类型 vs 引用类型</a>
					<div>
						在Java性能优化系列中,内存管理是一个要优先考虑的关键因素.而说到内存分配,就必然会涉及到 基本类型和引用类型.所以我们今天就先来介绍一下这两种类型在性能方面各自有什么奥妙(关于这两 种类型在其它方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLyRZb.html" rel="bookmark" class="title">数据库组件 Hxj&period;Data （二）（实体生成工具）</a>
					<div>
						实体生成工具的界面如下图: 目前工具支持MsAccess,Sql Server数据库的实体生成,因本人未接触其他数据库所以未扩展. 下面单个实体生成演示, Northwind数据库的Customers ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQN3ZKM.html" rel="bookmark" class="title">Photoshop给美女照片详细的美白和磨皮</a>
					<div>
						利用photoshop进行磨皮美白多种多样,不同程度的照片也需要不同的方法来处理,本例中的原图相对质量较差,斑点较多,覆盖面较大,这时候纯的通过图层计算的方法较难达到理想效果,本次将通过具体的弥补方式 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArPwKp.html" rel="bookmark" class="title">迅雷文件名包含敏感词汇怎么办</a>
					<div>
						  步骤1 单个文件出现文件名包含敏感词汇. 重新新建下载任务,同时把文件名改了,至于改成什么可随意,只要不涉黄涉政治等敏感词汇都可以,最好改成一些简单的,比如&quot;葫芦娃&quot;,&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZBq7z.html" rel="bookmark" class="title">pdf是什么文件</a>
					<div>
						  pdf是什么文件? PDF将忠实地再现原稿的每一个字符.颜色以及图象,无论在哪种打印机上都可保证精确的颜色和准确的打印效果.Adobe公司设计PDF文件格式的目的是为了支持跨平台上的,多媒体集成的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd61N3b.html" rel="bookmark" class="title">matlab的奇异谱分析代码</a>
					<div>
						问题描述 matlab的奇异谱分析代码 求matlab的奇异谱分析代码,完成作业,但是不会用matlab					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3o3l7b.html" rel="bookmark" class="title">【Oracle】Oracle 11gR2发布11&period;2&period;0&period;3 Patchset补丁集</a>
					<div>
						11.2.0.3 Patch Set - Availability and Known Issues [ID 1348336.1]   修改时间 07-MAR-2012     类型 README   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDY2DXb.html" rel="bookmark" class="title">请教各位这题目我该怎么做啊？求高手解答谢谢</a>
					<div>
						问题描述 1.下面是一个类的定义,请完成程序填空.publicclass____________{intx,y;Myclass(inti,_______){//构造方法x=i;y=j;}}2.阅读下列 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6YWqM.html" rel="bookmark" class="title">EXEC的使用与sp&lowbar;executesql命令的区别</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;   sp_executesql的使用 MSSQL为我们提供 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYj1qQp.html" rel="bookmark" class="title">求大神解答一下linux中boa移植时候出现的问题，谢谢！！</a>
					<div>
						问题描述 求大神解答一下linux中boa移植时候出现的问题,谢谢!! 我已经按步骤成功安装好boa并且已经成功启动了boa,但是当我用一个网页作为测试(所需要的东西都已经放在了/home/lstad ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZq39b.html" rel="bookmark" class="title">visual studio-c&num; mvc视图字符串转为视图</a>
					<div>
						问题描述 c# mvc视图字符串转为视图 String→view将视图内容比如cshtml里的内容复制,然后将这些字符串解析为视图(不能保存为一个视图文件),让vs能够成功运行它.如果存在一个空视图又 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQGXOp.html" rel="bookmark" class="title">《从零开始学Swift》学习笔记（Day 16）&mdash;&mdash;字典集合</a>
					<div>
						﻿﻿ 原创文章,欢迎转载.转载请注明:关东升的博客    Swift字典表示一种非常复杂的集合,允许按照某个键来访问元素.字典是由两部分集合构成的,一个是键(key)集合,一个是值(value)集合. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAwxRM.html" rel="bookmark" class="title">Android 中文api &lpar;81&rpar;&mdash;&mdash;InputMethod &lbrack;输入法&rsqb;</a>
					<div>
						前言 本章内容是android.view.inputmethod.InputMethod,为输入法相关章节,版本为Android 2.3 r1,翻译来自&quot;六必治&quot;,欢迎大家访问他的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRRZ9b.html" rel="bookmark" class="title">uitabbar-swift改变其他vc中的uiview的位置</a>
					<div>
						问题描述 swift改变其他vc中的uiview的位置 现rootvc是tabbarcontroller, tabbaritem共有3个. tabbar的显示样式是通过uiview模拟美化过的,当前选 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE4eZLz.html" rel="bookmark" class="title">域通联达：携&OpenCurlyDoubleQuote;&period;在线&rdquo;和&OpenCurlyDoubleQuote;&period;中文网&rdquo;在路上</a>
					<div>
						域名城(domain.cn)11月5日消息,从去年4月在北京 举行的http://www.aliyun.com/zixun/aggregation/29832.html&quot;&gt;ICANN第 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkL4lM.html" rel="bookmark" class="title">Android根据电话号码获得联系人头像实例代码&lowbar;Android</a>
					<div>
						在日常Android手机的使用过程中,根据电话号码获得联系人头像,是经常会碰到的问题.本文即以实例形式讲述了Android根据电话号码获得联系人头像是实现代码.分享给大家供大家参考之用.具体方法如下: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Y8qPz.html" rel="bookmark" class="title">雷军重回金山三年发红包</a>
					<div>
						金山软件董事长雷军向全体员工发出内部邮件,宣布将董事会授予其个人的400万股受限股分发给金山在职员工,每人均将获得1000股的两年期受限股,两年时间一次性成型. 如以昨日金山软件的股价23.50港元为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxE09Bp.html" rel="bookmark" class="title">BootStrap中Datetimepicker和uploadify插件应用实例小结&lowbar;javascript技巧</a>
					<div>
						bootstrap-datetimepicker是一款轻便的时间选择插件,支持Time选择,国际化,应用起来相当简单.而uploadify则是一款支持多文件上传的插件.最近应用这两个插件做了些小应用, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYN0l6p.html" rel="bookmark" class="title">C&plus;&plus;之友元：友元函数和友元类详解&lowbar;C 语言</a>
					<div>
						一.友元介绍我们知道,类的成员函数可以访问同类的其他成员函数,包括公有.私有和保护成员.而类的外部函数只能访问类的公有成员. 友元是一种允许非类成员函数访问类的非公有成员的一种机制.可以把一个函数指定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Na57z.html" rel="bookmark" class="title">python爬虫教程之爬取百度贴吧并下载的示例&lowbar;python</a>
					<div>
						测试url:http://tieba.baidu.com/p/27141123322?pn=begin  1end   4 复制代码 代码如下: import string ,urllib2 def  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGrP8vp.html" rel="bookmark" class="title">js操作DOM--添加、删除节点的简单实例&lowbar;javascript技巧</a>
					<div>
						js removeChild() 用法 &lt;body&gt; &lt;p id=&quot;p1&quot;&gt;welcome to &lt;b&gt;javascript&lt;/b&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR1A5Kb.html" rel="bookmark" class="title">DX1&period;5的伪静态规则&lpar;nginx环境下&rpar;</a>
					<div>
						dx1.5的伪静态规则(nginx环境下) 每个环境的伪静态规则都会有区别的,像dx1.5的apache,iis,nginx三种都会有一点区别.下面我们来看看看nginx环境下的做法. rewrite ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLBmQ5b.html" rel="bookmark" class="title">ios-IOS百度地图绘制行走轨迹</a>
					<div>
						问题描述 IOS百度地图绘制行走轨迹 (void)viewDidLoad { [super viewDidLoad]; // Do any additional setup after loading ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyKgnEz.html" rel="bookmark" class="title">有关AdSense无效点击的一些问题</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;       做Google AdSense的站长越来越多, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boqZ93p.html" rel="bookmark" class="title">五粮液质量管理之路</a>
					<div>
						&quot;质量是企业的生命,为消费者而生而长&quot;,简短的十六字方针,铿锵有力意义深远,它承载着五粮液的经营理念,深深地铭刻在每一个五粮液人心中.五粮液人将此作为企业质量管理的核心价值观,并在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9N9agp.html" rel="bookmark" class="title">《社交网络》作者：扎克伯格笨拙、奇怪</a>
					<div>
						美国畅销书作家本·梅兹里奇以 Facebook创立第一年的故事为蓝本撰写了一部非虚构小说:&lt;偶然的亿万富翁:Facebook创办中的性爱.金钱.天才与背叛&gt;.书中塑造的扎克伯格,颇具争议性 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3YgdAp.html" rel="bookmark" class="title">Priceline宣布18亿美元收购旅游点评网Kayak</a>
					<div>
						和讯科技消息 http://www.aliyun.com/zixun/aggregation/17197.html&quot;&gt;北京时间11月9日,美国在线旅游服务商Priceline周四宣布, ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
